Bug 16348 - Can't build <arch> and noarch packages at the same time
Can't build <arch> and noarch packages at the same time
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-08-16 10:51 EDT by Horst H. von Brand
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-16 10:51:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2000-08-16 10:51:32 EDT
Some packages I've created here have extensive documentation, which
logically falls into the "noarch" cathegory. I've been unable to create
package.<arch>.rpm and package-docs.noarch.rpm out of the same spec file.
Possibly just because I'm dumb ;-)
Comment 1 Jeff Johnson 2000-08-16 10:59:59 EDT
All sub-packages of a single spec file must be in the same arch (i.e. only one
arch is
permitted during a single spec file parse and build).

The easiest fix is to split the doco into a separate package. More complicated
is to
write a meta spec file that does two builds with two included spec files.
Comment 2 Pavel Roskin 2001-01-10 17:00:28 EST
Perhaps RPM needs another keyword to indicate that a package (or a subpackage)
is architecture-independent.

The current situation is that building a noarch package is building for another

Building for i386 and noarch on i386 is for RPM something like building for i386
and alpha on i386, i.e. compilation for two architectures in a single build.
That's why RPM cannot do it.

But this should be fixed. There are many examples in RedHat-7.0 where separate
source packages were created to work around this bug, e.g.:

Comment 3 H. Peter Anvin 2002-05-06 02:26:37 EDT
I just ran into the same problem.  I think this is highly undesirable.  In fact,
this doesn't just apply to the noarch architecture -- it should at least be
theoretically possible to have a package that produces multiple architectures
from the same source.

Note You need to log in before you can comment on or make changes to this bug.